%global puppet_module foreman_scap_client
%global puppet_full_name isimluk-%{puppet_module}

%global puppet_modules_dir %{_datadir}/puppet/modules

Name:		puppet-%{puppet_module}
Version:	0.3.3
Release:	10%{?dist}
Summary:	Puppet module to configure foreman_scap_client
License:	GPLv2
URL:		https://github.com/OpenSCAP/%{name}
Source0:	https://forgeapi.puppetlabs.com/v3/files/%{name}-%{version}.tar.gz
BuildArch:	noarch
Requires:	puppet >= 2.7.0
Requires:	puppetlabs-stdlib >= 4.2.0

%description
Foreman SCAP client Puppet Module configures the client of the same name
to run scans and upload results to foreman proxy.

%prep
%setup -qn %{name}-%{version}

%build

%install
mkdir -p %{buildroot}/%{puppet_modules_dir}/%{puppet_module}
cp -p metadata.json %{buildroot}/%{puppet_modules_dir}/%{puppet_module}/
cp -rp manifests/ %{buildroot}/%{puppet_modules_dir}/%{puppet_module}/manifests
cp -rp templates/ %{buildroot}/%{puppet_modules_dir}/%{puppet_module}/templates
cp -rp lib/ %{buildroot}/%{puppet_modules_dir}/%{puppet_module}/lib

%files
%doc COPYING README.md
%{puppet_modules_dir}/%{puppet_module}

%changelog
* Fri Dec 18 2015 Chris Peters <chrispeters.psu@gmail.com> 0.3.3-10
- Fixes #12304 - Support older ruby versions fro array to hash in facter
  (shlomi@ben-hanna.com)

* Tue May 19 2015 Mike McCune <mmccune@redhat.com> 0.3.3-9
- Merge pull request #11 from shlomizadok/download_path_template (shlomi@ben-
  hanna.com)

* Mon Apr 27 2015 Mike McCune <mmccune@redhat.com> 0.3.3-8
- use Facter::Util::Resolution.exec as it is supported by facter 1.7 and higher
  (shlomi@ben-hanna.com)

* Tue Apr 21 2015 Mike McCune <mmccune@redhat.com> 0.3.3-7
- 1197114 - fix wrong fact name (shlomi@ben-hanna.com)

* Tue Apr 07 2015 Mike McCune <mmccune@redhat.com> 0.3.3-6
- 1197114 - additional file needed to be include in the spec
  (mmccune@redhat.com)

* Wed Apr 01 2015 Mike McCune <mmccune@redhat.com> 0.3.3-5
- 1197114 - Enables using subscription manager certificates (shlomi@ben-
  hanna.com)

* Mon Mar 02 2015 Jason Montleon <jmontleo@redhat.com> 0.3.3-4
- fix package name for install (jmontleo@redhat.com)

* Mon Mar 02 2015 Jason Montleon <jmontleo@redhat.com> 0.3.3-3
- fix source name (jmontleo@redhat.com)

* Mon Mar 02 2015 Jason Montleon <jmontleo@redhat.com> 0.3.3-2
- new package built with tito

* Mon Feb 09 2015 slukasik - 0.3.3-1
- new upstream release

* Thu Jan 29 2015 Šimon Lukašík <slukasik@redhat.com> - 0.3.2-1
- first attempt to package into rpm
